﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="vue.aspx.cs" Inherits="ScreenCapturePro.vue" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>泽优截屏控件(scp2)-vue演示</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <link type="text/css" rel="Stylesheet" href="scp/skygqbox.css" />
    <link type="text/css" rel="Stylesheet" href="scp/scp.css"/>
    <script type="text/javascript" src="scp/jquery-1.7.2.min.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/json2.min.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/skygqbox.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/scp.app.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/scp.edge.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/scp.js" charset="utf-8"></script>
    <script type="text/javascript" src="vue.min.js" charset="utf-8"></script>
</head>
<body>
    <div id="msg"></div>
	<div id="vue-scp">
        <scp2 ref="scp"></scp2>
		<input ref="Capture" type="button" value="截取屏幕区域" />
        <input ref="Capture2" type="button" value="截屏时隐藏当前窗口" />
        <input ref="Capture3" type="button" value="截取全屏" />
        <input ref="Capture4" type="button" value="截取指定区域" />
		<img ref="img" alt="截屏图片" style="display: none" />
	</div>
	<script type="text/javascript" language="javascript">
        //定义组件
        Vue.component('scp2', {
            data() {return {scp: null}},
            props: {},
            mounted() {
                this.scp = new CaptureManager();
                this.scp.Config["PostUrl"] = "http://localhost:91/upload.aspx";
                this.scp.Config["Cookie"] = 'ASP.NET_SessionId=<%=Session.SessionID%>';
                this.scp.load_to("scp");                
            },
            methods: {},
            destroyed(){},
            template: '<div id="scp"></div>'
        });

        //创建vue对象
        var ue = new Vue({
            el: '#vue-scp',
            data: {}
            , methods: {
                post_complete: function (src) {
                    $(this.$refs.img).attr("src",src + "?t=" + new Date().getTime() );
                    $(this.$refs.img).show();
                }
            }
            , mounted: function () {
                var scp = this.$refs.scp.scp;
                scp.event.postComplete = this.post_complete;
                $(this.$refs.Capture).click(function () { scp.Capture(); });
                $(this.$refs.Capture2).click(function () { scp.CaptureHide(); });
                $(this.$refs.Capture3).click(function () { scp.CaptureScreen(); });
		        $(this.$refs.Capture4).click(function () { scp.CaptureRect(0, 0, 100, 100); });
            }
        });
	</script>
</body>
</html>