﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="index.aspx.cs" Inherits="ScreenCapturePro.index" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>泽优截屏控件(scp2)演示</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <link type="text/css" rel="Stylesheet" href="scp/skygqbox.css" />
    <link type="text/css" rel="Stylesheet" href="scp/scp.css"/>
    <script type="text/javascript" src="scp/jquery-1.7.2.min.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/json2.min.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/skygqbox.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/scp.app.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/scp.edge.js" charset="utf-8"></script>
    <script type="text/javascript" src="scp/scp.js" charset="utf-8"></script>
</head>
<body>
    <div id="msg"></div>
	<div id="ScreenCaptureDiv">
		<input id="BtnCapture" type="button" value="截取屏幕区域" />
        <input id="BtnCapture2" type="button" value="截屏时隐藏当前窗口" />
        <input id="BtnCapture3" type="button" value="截取全屏" />
        <input id="BtnCapture4" type="button" value="截取指定区域" />
		<img id="ScreenImg" alt="截屏图片" style="display: none" />
	</div>
	<script type="text/javascript" language="javascript">
        var scpMgr = new CaptureManager();
        scpMgr.event.postComplete = function (src) {
            $("#ScreenImg").attr("src", src + "?t="+new Date().getTime() );
            $("#ScreenImg").show();
        };
		//请将下面地址改为实际上传地址。
		scpMgr.Config["PostUrl"] = "http://localhost:91/upload.aspx";
        scpMgr.Config["Cookie"] = 'ASP.NET_SessionId=<%=Session.SessionID%>';
        scpMgr.Config.Fields["uname"] = "test";
        scpMgr.loadAuto();

		$( function ()
		{
            $("#BtnCapture").click(function () { scpMgr.Capture(); });
            $("#BtnCapture2").click(function () { scpMgr.CaptureHide(); });
            $("#BtnCapture3").click(function () { scpMgr.CaptureScreen(); });
		    $("#BtnCapture4").click(function () { scpMgr.CaptureRect(0, 0, 100, 100); });
		});
	</script>
</body>
</html>
